Re: Using Private Data in Fabric #hyperledger-fabric @ version 2.2 #hyperledger-fabric


satheesh
 

Hi,

Looks like ORDERER_CA variable needs to be defined with the location of .pem file

Regards,
-Satheesh

On Sunday, January 30, 2022, 05:27:46 PM GMT+5:30, asaduzzaman.rakib.10@... <asaduzzaman.rakib.10@...> wrote:


I stuck on official tutorial part 5 - "Using Private Data in Fabric" - (I have used fabric version 2.2) -:
 
While executing this following command I got the error : 
 
peer lifecycle chaincode approveformyorg -o localhost:7050 --ordererTLSHostnameOverride orderer.example.com --channelID mychannel --name private --version 1.0 --collections-config ../asset-transfer-private-data/chaincode-go/collections_config.json --signature-policy "OR('Org1MSP.member','Org2MSP.member')" --package-id $CC_PACKAGE_ID --sequence 1 --tls --cafile $ORDERER_CA
 
Error message:
Error: flag needs an argument: --cafile
 
 
Url: https://hyperledger-fabric.readthedocs.io/en/release-2.2/private_data_tutorial.html#deploy-the-private-data-smart-contract-to-the-channel

Join fabric@lists.hyperledger.org to automatically receive all group messages.